connect_arg Struct Reference

## Data Fields

int | fd
struct sockaddr * | sockaddr
socklen_t | len

## Detailed Description

Definition at line 317 of file init.c.

## Field Documentation

int connect_arg::fd

Definition at line 318 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

socklen_t connect_arg::len

Definition at line 320 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

struct sockaddr* connect_arg::sockaddr

Definition at line 319 of file init.c.

Referenced by connect_blocking(), and rsock_connect().

The documentation for this struct was generated from the following file:

- ext/socket/init.c